# Generated by rust2rpm 24
%bcond_without check

%global crate tealdeer

Name:           rust-tealdeer
Version:        1.6.1
Release:        %autorelease
Summary:        Fetch and show tldr help pages for many CLI commands

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tealdeer
Source:         %{crates_source}
# https://github.com/dbrgn/tealdeer/pull/333
Source1:        https://github.com/dbrgn/tealdeer/raw/v%{version}/completion/bash_tealdeer
Source2:        https://github.com/dbrgn/tealdeer/raw/v%{version}/completion/fish_tealdeer
Source3:        https://github.com/dbrgn/tealdeer/raw/v%{version}/completion/zsh_tealdeer
# Manually created patch for downstream crate metadata changes
# * use native-tls instead of rustls in reqwest
# * drop development-only logging feature
Patch:          tealdeer-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Fetch and show tldr help pages for many CLI commands. Full featured
offline client with caching support.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc README.md
%{_bindir}/tldr
%{bash_completions_dir}/tldr.bash
%{fish_completions_dir}/tldr.fish
%{zsh_completions_dir}/_tldr

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install shell completions
install -Dpm0644 %{SOURCE1} %{buildroot}/%{bash_completions_dir}/tldr.bash
install -Dpm0644 %{SOURCE2} %{buildroot}/%{fish_completions_dir}/tldr.fish
install -Dpm0644 %{SOURCE3} %{buildroot}/%{zsh_completions_dir}/_tldr

%if %{with check}
%check
# integration tests need a working internet connection
%cargo_test -- --bins
%endif

%changelog
%autochangelog
